package com.yizhi.application;


/**
 * 
 * @author wangfeida
 *
 */
//@SpringBootTest
//@RunWith(SpringRunner.class)
public class ReportCourse2Test {/*


	
	@Autowired
	ReportCourse2 reportCourse2;
	
	@Autowired
	private StatisticsTrainingClient statisticsTrainingClient;
	
	@Autowired
	StatisticsCourseClient statisticsCourseClient;
	
            @Test
			public void courseGroup() {
            	
            	
            	String startDate="2019-05-01";
            	
            	String endDate="2019-05-25";
            	
            	Long companyId=1314L;
            	
            	Long siteId=1314L;
            	Long adminId=1314L;
            	
            	Boolean isAdmin=true;
            	
            	
            	List<ReportStudyCourseChartsVo> list=statisticsCourseClient.chartGroup(startDate, endDate, companyId, siteId, adminId, isAdmin);
            	if(CollectionUtils.isNotEmpty(list)) {
            		for (int i = 0; i < list.size(); i++) {
    					System.out.println(list.get(i));
    				}
            	}
            	
            	Date submitTime = new Date();
        		Long taskId = submitTime.getTime();
        		String serialNo="USER-EXPORT-"+taskId;
        		String taskName="培训项目-按用户统计-查看-下载结果数据-"+taskId;
        		
        		Long accountId=1314L;
            	
            	TrainingProjectGroupParam trainingGroupParam=new TrainingProjectGroupParam();
            	trainingGroupParam.setStartDate(startDate);
            	trainingGroupParam.setEndDate(endDate);
        		trainingGroupParam.setCompanyId(companyId);
        		trainingGroupParam.setSiteId(siteId);
        		trainingGroupParam.setAdminId(adminId);
        		trainingGroupParam.setIsAdmin(isAdmin);
        		trainingGroupParam.setSerialNo(serialNo);
        		trainingGroupParam.setTaskId(taskId);
        		trainingGroupParam.setSubmitTime(submitTime);
        		trainingGroupParam.setTaskName(taskName);
        		trainingGroupParam.setAccountId(accountId);
        		String projectName="";
        		trainingGroupParam.setProjectName(projectName);
            
            	statisticsTrainingClient.trainingProjectAccountGroupViewExcel(trainingGroupParam);
            	
            }
	  

    
   

*/}
